Name:           xosview
Version:        1.12
Release:        %mkrel 2
Summary:        An X Window System utility for monitoring system resources
Group:          Monitoring
License:        GPLv2 and BSD with advertising and (GPLv2 or BSD with advertising)
URL:            http://www.pogo.org.uk/~mark/xosview/
Source0:        http://www.pogo.org.uk/~mark/xosview/releases/%{name}-%{version}.tar.gz
Source2:        %{name}16.png.bz2
Source3:        %{name}32.png.bz2
Source4:        %{name}48.png.bz2

BuildRequires:  libxdmcp-devel
BuildRequires:  libxau-devel
BuildRequires:  libx11-devel

%description
The xosview utility displays a set of bar graphs which show the current
system state, including memory usage, CPU usage, system load, etc.
Xosview runs under the X Window System.

Install the xosview package if you need a graphical tool for monitoring
your system's performance.


%prep
%setup -q

%build
%make

%install
mkdir -p %{buildroot}{%{_bindir},%{_datadir},%{_mandir}/man1/}
%makeinstall_std PREFIX=%{_prefix} 

install -m 755 -d %{buildroot}%{_datadir}/icons/mini
bzcat %SOURCE2 > %{buildroot}%{_datadir}/icons/mini/%{name}.png
install -m 755 -d %{buildroot}%{_datadir}/icons
bzcat %SOURCE3 > %{buildroot}%{_datadir}/icons/%{name}.png
install -m 755 -d %{buildroot}%{_datadir}/icons/large
bzcat %SOURCE4 > %{buildroot}%{_datadir}/icons/large/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Xosview
Comment=System resources monitor for X11
Exec=%{_bindir}/xosview
Icon=%{name}
Terminal=false
Type=Application
Categories=System;Monitor;
EOF

%files
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/icons/%{name}.png
%{_datadir}/icons/mini/*
%{_datadir}/icons/large/*
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 1.12-2.mga3
+ Revision: 387286
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 16 2012 kamil <kamil> 1.12-1.mga3
+ Revision: 331815
- new version 1.12

* Sun Dec 02 2012 kamil <kamil> 1.11-2.mga3
+ Revision: 324899
- rebuild for Mga3 Beta1

* Tue Nov 27 2012 kamil <kamil> 1.11-1.mga3
+ Revision: 322254
- new version 1.11

* Tue Aug 28 2012 kamil <kamil> 1.9.4-1.mga3
+ Revision: 284633
- new version 1.9.4

* Wed May 30 2012 kamil <kamil> 1.9.3-1.mga3
+ Revision: 251776
- new version 1.9.3
- new SOURCE0
- new build procedure (upstream change)
- drop "chmod u-s" for binaries
- stop installing /usr/lib/X11/app-defaults directory (it's empty anyway)

* Mon Feb 06 2012 kamil <kamil> 1.9.2-2.mga2
+ Revision: 205487
- bump release to be updateable from Mageia 1
- new version 1.9.2

* Sun Jan 22 2012 kamil <kamil> 1.9.1-1.mga2
+ Revision: 199486
- new version 1.9.1 from new vendor
- new URL and SOURCE
- fix license
- clean .spec
- imported package xosview

